---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::MenuBarRenderer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1MenuBarRenderer.html">MenuBarRenderer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classtgui_1_1MenuBarRenderer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::MenuBarRenderer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for tgui::MenuBarRenderer:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1MenuBarRenderer.png" usemap="#tgui::MenuBarRenderer_map" alt=""/>
  <map id="tgui::MenuBarRenderer_map" name="tgui::MenuBarRenderer_map">
<area href="classtgui_1_1WidgetRenderer.html" title="Base class for all renderer classes. " alt="tgui::WidgetRenderer" shape="rect" coords="0,0,143,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06bcc7d2a9b0d06b139617970cb05c96"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a06bcc7d2a9b0d06b139617970cb05c96">MenuBarRenderer</a> (<a class="el" href="classtgui_1_1MenuBar.html">MenuBar</a> *menuBar)</td></tr>
<tr class="memdesc:a06bcc7d2a9b0d06b139617970cb05c96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a06bcc7d2a9b0d06b139617970cb05c96">More...</a><br /></td></tr>
<tr class="separator:a06bcc7d2a9b0d06b139617970cb05c96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5652ad07cdd73c2b6641a73615bebcdc"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a5652ad07cdd73c2b6641a73615bebcdc">setProperty</a> (std::string property, const std::string &amp;value) override</td></tr>
<tr class="memdesc:a5652ad07cdd73c2b6641a73615bebcdc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a5652ad07cdd73c2b6641a73615bebcdc">More...</a><br /></td></tr>
<tr class="separator:a5652ad07cdd73c2b6641a73615bebcdc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8eb1632869a17e50c46357239771d64f"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a8eb1632869a17e50c46357239771d64f">setProperty</a> (std::string property, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;value) override</td></tr>
<tr class="memdesc:a8eb1632869a17e50c46357239771d64f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change a property of the renderer.  <a href="#a8eb1632869a17e50c46357239771d64f">More...</a><br /></td></tr>
<tr class="separator:a8eb1632869a17e50c46357239771d64f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56ca1dbe2b98a17206cdde9e791f389e"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a56ca1dbe2b98a17206cdde9e791f389e">getProperty</a> (std::string property) const  override</td></tr>
<tr class="memdesc:a56ca1dbe2b98a17206cdde9e791f389e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieve the value of a certain property.  <a href="#a56ca1dbe2b98a17206cdde9e791f389e">More...</a><br /></td></tr>
<tr class="separator:a56ca1dbe2b98a17206cdde9e791f389e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7791b0b69162f7217ac2369b2191dcd"><td class="memItemLeft" align="right" valign="top">virtual std::map&lt; std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ae7791b0b69162f7217ac2369b2191dcd">getPropertyValuePairs</a> () const  override</td></tr>
<tr class="memdesc:ae7791b0b69162f7217ac2369b2191dcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get a map with all properties and their values.  <a href="#ae7791b0b69162f7217ac2369b2191dcd">More...</a><br /></td></tr>
<tr class="separator:ae7791b0b69162f7217ac2369b2191dcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20374f6d458a0d832475504e20b44ce0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a20374f6d458a0d832475504e20b44ce0">setBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;backgroundColor)</td></tr>
<tr class="memdesc:a20374f6d458a0d832475504e20b44ce0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color that will be used inside the menu bar.  <a href="#a20374f6d458a0d832475504e20b44ce0">More...</a><br /></td></tr>
<tr class="separator:a20374f6d458a0d832475504e20b44ce0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab55a29e432c36fc3cb234557fb7bb42c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ab55a29e432c36fc3cb234557fb7bb42c">setTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;textColor)</td></tr>
<tr class="memdesc:ab55a29e432c36fc3cb234557fb7bb42c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color that will be used inside the menu bar.  <a href="#ab55a29e432c36fc3cb234557fb7bb42c">More...</a><br /></td></tr>
<tr class="separator:ab55a29e432c36fc3cb234557fb7bb42c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ce1c1a4bb625a1e535c483951e274d7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a9ce1c1a4bb625a1e535c483951e274d7">setSelectedBackgroundColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedBackgroundColor)</td></tr>
<tr class="memdesc:a9ce1c1a4bb625a1e535c483951e274d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the background color of the selected text that will be used inside the menu bar.  <a href="#a9ce1c1a4bb625a1e535c483951e274d7">More...</a><br /></td></tr>
<tr class="separator:a9ce1c1a4bb625a1e535c483951e274d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5f47871985e87f0f6aa412d14194f7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#aae5f47871985e87f0f6aa412d14194f7">setSelectedTextColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;selectedTextColor)</td></tr>
<tr class="memdesc:aae5f47871985e87f0f6aa412d14194f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the text color of the selected text that will be used inside the menu bar.  <a href="#aae5f47871985e87f0f6aa412d14194f7">More...</a><br /></td></tr>
<tr class="separator:aae5f47871985e87f0f6aa412d14194f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dc1748a67973b3be959fa0e86179dba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a1dc1748a67973b3be959fa0e86179dba">setTextFont</a> (std::shared_ptr&lt; sf::Font &gt; font)</td></tr>
<tr class="memdesc:a1dc1748a67973b3be959fa0e86179dba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font used in the menu bar.  <a href="#a1dc1748a67973b3be959fa0e86179dba">More...</a><br /></td></tr>
<tr class="separator:a1dc1748a67973b3be959fa0e86179dba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4860467e0ab918217d6f7c45a53825c5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a4860467e0ab918217d6f7c45a53825c5">setDistanceToSide</a> (float distanceToSide)</td></tr>
<tr class="memdesc:a4860467e0ab918217d6f7c45a53825c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the distance between the text and the side of the menu item.  <a href="#a4860467e0ab918217d6f7c45a53825c5">More...</a><br /></td></tr>
<tr class="separator:a4860467e0ab918217d6f7c45a53825c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4beffb92e49abe95520b3a0ab09484a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#ae4beffb92e49abe95520b3a0ab09484a">setBorderColor</a> (const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;color)</td></tr>
<tr class="memdesc:ae4beffb92e49abe95520b3a0ab09484a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the color of the borders that are optionally drawn around the menu items.  <a href="#ae4beffb92e49abe95520b3a0ab09484a">More...</a><br /></td></tr>
<tr class="separator:ae4beffb92e49abe95520b3a0ab09484a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd4c106db13f94a3db504040d279640c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#acd4c106db13f94a3db504040d279640c">setBackgroundTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:acd4c106db13f94a3db504040d279640c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used to fill the entire menu bar.  <a href="#acd4c106db13f94a3db504040d279640c">More...</a><br /></td></tr>
<tr class="separator:acd4c106db13f94a3db504040d279640c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a24a6ad141e1d9cc892fc4fcef72191"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a8a24a6ad141e1d9cc892fc4fcef72191">setItemBackgroundTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a8a24a6ad141e1d9cc892fc4fcef72191"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is displayed when the tab is not selected.  <a href="#a8a24a6ad141e1d9cc892fc4fcef72191">More...</a><br /></td></tr>
<tr class="separator:a8a24a6ad141e1d9cc892fc4fcef72191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4fe0ebec8cd80bb471dc86c86fdbae86"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1MenuBarRenderer.html#a4fe0ebec8cd80bb471dc86c86fdbae86">setSelectedItemBackgroundTexture</a> (const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;texture)</td></tr>
<tr class="memdesc:a4fe0ebec8cd80bb471dc86c86fdbae86"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the image that is used as background of the selected menu item.  <a href="#a4fe0ebec8cd80bb471dc86c86fdbae86">More...</a><br /></td></tr>
<tr class="separator:a4fe0ebec8cd80bb471dc86c86fdbae86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1WidgetRenderer"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1WidgetRenderer')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></td></tr>
<tr class="memitem:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9ffbba1a051a6eaf0e1d069d78377ca"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1WidgetRenderer.html#aa9ffbba1a051a6eaf0e1d069d78377ca">~WidgetRenderer</a> ()</td></tr>
<tr class="memdesc:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:aa9ffbba1a051a6eaf0e1d069d78377ca inherit pub_methods_classtgui_1_1WidgetRenderer"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a06bcc7d2a9b0d06b139617970cb05c96"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">tgui::MenuBarRenderer::MenuBarRenderer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1MenuBar.html">MenuBar</a> *&#160;</td>
          <td class="paramname"><em>menuBar</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Constructor. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">menuBar</td><td>The menu bar that is connected to the renderer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a56ca1dbe2b98a17206cdde9e791f389e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> tgui::MenuBarRenderer::getProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Retrieve the value of a certain property. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to retrieve</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The value inside a <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object which you can extract with the correct get function or an <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> object with type ObjectConverter::Type::None when the property did not exist. </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#ab3a4389b75c71849e16501209fba5eb9">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="ae7791b0b69162f7217ac2369b2191dcd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::map&lt;std::string, <a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&gt; tgui::MenuBarRenderer::getPropertyValuePairs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get a map with all properties and their values. </p>
<dl class="section return"><dt>Returns</dt><dd>Property-value pairs of the renderer </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0274cb32222ad685366a0bef4e7d4341">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a20374f6d458a0d832475504e20b44ce0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>backgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color that will be used inside the menu bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">backgroundColor</td><td>The color of the background of the menu bar </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="acd4c106db13f94a3db504040d279640c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setBackgroundTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used to fill the entire menu bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New item background texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="ae4beffb92e49abe95520b3a0ab09484a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setBorderColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>color</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the color of the borders that are optionally drawn around the menu items. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">color</td><td>New border color </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4860467e0ab918217d6f7c45a53825c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setDistanceToSide </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>distanceToSide</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the distance between the text and the side of the menu item. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">distanceToSide</td><td>distance between the text and the side of the menu item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8a24a6ad141e1d9cc892fc4fcef72191"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setItemBackgroundTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is displayed when the tab is not selected. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New item background texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="a5652ad07cdd73c2b6641a73615bebcdc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::MenuBarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new serialized value that you like to assign to the property</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when deserialization fails or when the widget does not have this property. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#abf82fb602dd7bd1e2b212b6fc2da9d99">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a8eb1632869a17e50c46357239771d64f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::MenuBarRenderer::setProperty </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>property</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> &amp;&amp;&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Change a property of the renderer. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>The property that you would like to change </td></tr>
    <tr><td class="paramname">value</td><td>The new value that you like to assign to the property. The <a class="el" href="classtgui_1_1ObjectConverter.html" title="Implicit converter for settable properties. ">ObjectConverter</a> is implicitly constructed from the possible value types.</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>for unknown properties or when value was of a wrong type. </td></tr>
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when loading scrollbar fails with the theme connected to the list box </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1WidgetRenderer.html#a0c7e95e9887a866e39da0038ea198970">tgui::WidgetRenderer</a>.</p>

</div>
</div>
<a class="anchor" id="a9ce1c1a4bb625a1e535c483951e274d7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setSelectedBackgroundColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedBackgroundColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the background color of the selected text that will be used inside the menu bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedBackgroundColor</td><td>The color of the background of the selected item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a4fe0ebec8cd80bb471dc86c86fdbae86"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setSelectedItemBackgroundTexture </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Texture.html">Texture</a> &amp;&#160;</td>
          <td class="paramname"><em>texture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the image that is used as background of the selected menu item. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">texture</td><td>New selected item background texture</td></tr>
  </table>
  </dd>
</dl>
<p>Pass an empty string to unset the image. </p>

</div>
</div>
<a class="anchor" id="aae5f47871985e87f0f6aa412d14194f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setSelectedTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>selectedTextColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color of the selected text that will be used inside the menu bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">selectedTextColor</td><td>The color of the text when it is selected </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab55a29e432c36fc3cb234557fb7bb42c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setTextColor </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Color.html">Color</a> &amp;&#160;</td>
          <td class="paramname"><em>textColor</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the text color that will be used inside the menu bar. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">textColor</td><td>The color of the text </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1dc1748a67973b3be959fa0e86179dba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::MenuBarRenderer::setTextFont </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; sf::Font &gt;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the font used in the menu bar. </p>
<p>When you don't call this function then the global font will be use. This global font can be changed with the setGlobalFont function from the parent.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td>The new font. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="MenuBar_8hpp_source.html">MenuBar.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:44 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
